SplHeap
SplHeap::__construct
SplHeap
PHP Manual

# SplHeap::compare

(No version information available, might be only in CVS)

SplHeap::compare — Compare elements in order to place them correctly in the heap while sifting up.

### Description

abstractint SplHeap::compare ( mixed `$value1` , mixed `$value2` )

Compare `value1` with `value2` .

Warning

Throwing exceptions in SplHeap::compare can corrupt the Heap and place it in an blocked state. You can unblock is by calling SplHeap::recoverFromCorruption. However, some elements might not be placed correctly and it may hence break the heap-property.

### Parameters

`value1`

  The value of the first node being compared.

`value2`

  The value of the second node being compared.

### Return Values

Result of the comparison, positive integer if `value1` is greater than `value2` , 0 if they are equal, negative integer otherwise.

> Note: Having multiple elements with the same value in a Heap is not recommended. They will end up in an arbitrary relative position.

SplHeap
SplHeap::__construct
SplHeap
PHP Manual